<?php
namespace Incoviba\Common\Define;

interface Repository
{
    public function create(?array $data = null): Model;
    public function save(Model $model): Model;
    public function load(array $data_row): Model;
    public function edit(Model $model, array $new_data): Model;
    public function remove(Model $model): void;
}
